package com.itheima.canal;

import org.springframework.stereotype.Component;
import top.javatool.canal.client.annotation.CanalTable;
import top.javatool.canal.client.context.CanalContext;
import top.javatool.canal.client.handler.EntryHandler;

import java.util.Map;

/*****
 * @Author: http://www.itheima.com
 * @Description: com.itheima.canal.AllTableAsync
 ****/
@CanalTable(value = "all")
@Component
public class AllTableAsync implements EntryHandler<Map<String,String>> {

    @Override
    public void insert(Map<String, String> map) {

    }

    @Override
    public void update(Map<String, String> before, Map<String, String> after) {

    }

    @Override
    public void delete(Map<String, String> map) {
        System.out.println(map);
        System.out.println("Table:"+CanalContext.getModel().getTable());
    }
}
